Skip to Content
Namespaces

List namespace portal links

Lists links newest first without their tokens. Only organization-wide callers may list links.

GET
/v1/namespaces/{id}/portal-links

Lists links newest first without their tokens. Only organization-wide callers may list links.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^ns_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

NamespacePortalLinkPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.namespaces.listPortalLinks({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "organizationId": "string",
      "namespaceId": "string",
      "createdBy": "string",
      "expiresAt": "string",
      "revokedAt": "string",
      "redirectUrl": "string",
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "createdAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation